org.apache.hc.client5.testing.async

## Class AsyncEchoHandler

- java.lang.Object
- - org.apache.hc.client5.testing.async.AsyncEchoHandler

- All Implemented Interfaces:
    org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncDataExchangeHandler, org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncServerExchangeHandler, org.apache.hc.core5.http.nio.ResourceHolder

      public class AsyncEchoHandler
      extends Object
      implements org.apache.hc.core5.http.nio.AsyncServerExchangeHandler

  A handler that echos the incoming request entity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncEchoHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `consume(ByteBuffer src)`
    `void` | `failed(Exception cause)`
    `void` | `handleRequest(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entityDetails, org.apache.hc.core5.http.nio.ResponseChannel responseChannel, org.apache.hc.core5.http.protocol.HttpContext context)`
    `void` | `produce(org.apache.hc.core5.http.nio.DataStreamChannel channel)`
    `void` | `releaseResources()`
    `void` | `streamEnd(List<? extends org.apache.hc.core5.http.Header> trailers)`
    `void` | `updateCapacity(org.apache.hc.core5.http.nio.CapacityChannel capacityChannel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncEchoHandler

          public AsyncEchoHandler()

  - ### Method Detail

    - #### releaseResources

          public void releaseResources()

      Specified by:
        `releaseResources` in interface `org.apache.hc.core5.http.nio.ResourceHolder`

    - #### handleRequest

          public void handleRequest(org.apache.hc.core5.http.HttpRequest request,
                                    org.apache.hc.core5.http.EntityDetails entityDetails,
                                    org.apache.hc.core5.http.nio.ResponseChannel responseChannel,
                                    org.apache.hc.core5.http.protocol.HttpContext context)
                             throws org.apache.hc.core5.http.HttpException,
                                    IOException

      Specified by:
        `handleRequest` in interface `org.apache.hc.core5.http.nio.AsyncServerExchangeHandler`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

    - #### updateCapacity

          public void updateCapacity(org.apache.hc.core5.http.nio.CapacityChannel capacityChannel)
                              throws IOException

      Specified by:
        `updateCapacity` in interface `org.apache.hc.core5.http.nio.AsyncDataConsumer`
      Throws:
        `IOException`

    - #### consume

          public void consume(ByteBuffer src)
                       throws IOException

      Specified by:
        `consume` in interface `org.apache.hc.core5.http.nio.AsyncDataConsumer`
      Throws:
        `IOException`

    - #### streamEnd

          public void streamEnd(List<? extends org.apache.hc.core5.http.Header> trailers)
                         throws org.apache.hc.core5.http.HttpException,
                                IOException

      Specified by:
        `streamEnd` in interface `org.apache.hc.core5.http.nio.AsyncDataConsumer`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

    - #### available

          public int available()

      Specified by:
        `available` in interface `org.apache.hc.core5.http.nio.AsyncDataProducer`

    - #### produce

          public void produce(org.apache.hc.core5.http.nio.DataStreamChannel channel)
                       throws IOException

      Specified by:
        `produce` in interface `org.apache.hc.core5.http.nio.AsyncDataProducer`
      Throws:
        `IOException`

    - #### failed

          public void failed(Exception cause)

      Specified by:
        `failed` in interface `org.apache.hc.core5.http.nio.AsyncDataExchangeHandler`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.